Skip to main content
GET
/
workflows
/
{id}
/
executions
List workflow executions
curl --request GET \
  --url https://api.mailrify.com/workflows/{id}/executions \
  --header 'Authorization: Bearer <token>'
{
  "executions": [
    {
      "id": "<string>",
      "workflowId": "<string>",
      "contactId": "<string>",
      "status": "RUNNING",
      "startedAt": "2023-11-07T05:31:56Z",
      "completedAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "total": 123,
  "page": 123,
  "pageSize": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API Key authentication. Secret keys (sk_*) are required for all endpoints except /v1/track. Public keys (pk_*) only work with the /v1/track endpoint for client-side event tracking. The project is automatically derived from the key.

Path Parameters

id
string
required

Query Parameters

page
integer
default:1

Page number

Required range: x >= 1
pageSize
integer
default:20

Items per page (max 100)

Required range: 1 <= x <= 100
status
enum<string>

Filter by execution status

Available options:
RUNNING,
WAITING,
COMPLETED,
EXITED,
FAILED,
CANCELLED

Response

Paginated executions

executions
object[]
total
integer
page
integer
pageSize
integer
totalPages
integer